Subject: Notification: incoming/655

From: [email-masked]
Date: Sat, 23 Sep 2000 03:54:51 -0500 (CDT)

FVWM Bug Tracking notification

new message incoming/655

Message summary for PR#655
	From: [email-masked]
	Subject: Use of Next/Prev
	Date: Sat, 23 Sep 2000 03:54:49 -0500 (CDT)
	0 replies 	0 followups

====> ORIGINAL MESSAGE FOLLOWS <====

---

From: Mikhael Goikhman <[email-masked]>
Date: Mon, 25 Sep 2000 03:10:36 +0200

On 23 Sep 2000 03:54:51 -0500, [email-masked] wrote:
> Full_Name: Abigail
> Version: 2.2.4

> I am trying to cycle through all the non-iconified windows on the current
> page, with an action bound to a key; and when cycling, I want the cursor
> and keyboard focus in that window.
> 
> The following worked for me on Solaris 2.4 through Solaris 7 (but that was
> a while ago, and cannot recall the fvwm version; probably 2.0.x):
> 
>     key F3 A N Next [!Iconic, !Sticky, CurrentPage] WarpToWindow 50 50
>     key F4 A N Prev [!Iconic, !Sticky, CurrentPage] WarpToWindow 50 50
> 
> Unfortunally, it doesn't cycle. When using 'Next', it will go through a
> few windows, and then it "gets stuck", that is, not pick a next window to
> warp to. When using 'Prev', it will just flip back and forth between two
> windows.
> 
> This does work though:
> 
>     key F3 A N Next [*] Focus
>     key F4 A N Prev [*] Focus
> 
> at least, kind of. It cycles through all windows, but it does have a 
> preference for windows that are under the cursor. Each time it flips
> from one page to another, the window that's underneath the cursor will
> be the next one to get focus.

This is reproducable with the current CVS (2.3.22) even with SloppyFocus.
Of course it does not work (and should not work) with ClickToFocus at all.
I can't say now whether this behaviour is a bug or not, probably not.

Anyway, you should not expect fvwm to give focus to windows on Next/Prev,
this is critical for Next/Prev to work, so better give focus explicitely.
The following should work for you:

  Key F3 A N Next (!Iconic, !Sticky, CurrentPage) SelectWindow
  Key F4 A N Prev (!Iconic, !Sticky, CurrentPage) SelectWindow

  AddToFunc SelectWindow
  + I Focus
  + I WarpToWindow 50 50

Regards,
Mikhael.
--
Visit the official FVWM web page at <URL:http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm-workers" in the
body of a message to [email-masked].
To report problems, send mail to [email-masked]

---

From: [email-masked]
Date: Sun, 24 Sep 2000 21:30:23 -0400

> Of course it does not work (and should not work) with ClickToFocus at all.

I use SloppyFocus for xterms, and FocusFollowsMouse for the rest.

>   Key F4 A N Prev (!Iconic, !Sticky, CurrentPage) SelectWindow

That works, except that if you quickly hit F3 or F4 a few times, it takes
a second or two to go to the next window. Let me study the manual to see
whether I can avoid that.

Thanks.

Abigail